<?php if ( ! defined( 'FW' ) ) {
	die( 'Forbidden' );
}

$options = array(
	'main' => array(
		'type'    => 'box',
		'title'   => '',
		'options' => array(
			'id'       => array(
				'type' => 'unique',
			),
			'builder'  => array(
				'type'    => 'tab',
				'title'   => esc_html__( 'Form Fields', 'aircool' ),
				'options' => array(
					'form' => array(
						'label'        => false,
						'type'         => 'form-builder',
						'value'        => array(
							'json' => apply_filters( 'fw:ext:forms:builder:load-item:form-header-title', true )
								? json_encode( array(
									array(
										'type'      => 'form-header-title',
										'shortcode' => 'form_header_title',
										'width'     => '',
										'options'   => array(
											'title'    => '',
											'subtitle' => '',
										)
									)
								) )
								: '[]'
						),
						'fixed_header' => true,
					),
				),
			),
			'settings' => array(
				'type'    => 'tab',
				'title'   => esc_html__( 'Settings', 'aircool' ),
				'options' => array(
					'settings-options' => array(
						'title'   => esc_html__( 'Contact Form Options', 'aircool' ),
						'type'    => 'tab',
						'options' => array(
							'background_color'    => array(
								'type'    => 'select',
								'value'   => 'ls',
								'label'   => esc_html__( 'Form Background color', 'aircool' ),
								'desc'    => esc_html__( 'Select background color', 'aircool' ),
								'help'    => esc_html__( 'Select one of predefined background colors', 'aircool' ),
								'choices' => array(
									''                              => esc_html__( 'No background', 'aircool' ),
									'with_padding light_form'               => esc_html__( 'Light', 'aircool' ),
									'with_padding dark_form'            => esc_html__( 'Dark', 'aircool' ),
									'with_padding color_form'               => esc_html__( 'Main color', 'aircool' ),
								),
							),
							'field_text_align' => array(
								'type'    => 'select',
								'value'   => 'text-left',
								'label'   => esc_html__( 'Field text alignment', 'aircool' ),
								'desc'    => esc_html__( 'Select field text alignment', 'aircool' ),
								'choices' => array(
									'text-left'   => esc_html__( 'Left', 'aircool' ),
									'text-center' => esc_html__( 'Center', 'aircool' ),
									'text-right'  => esc_html__( 'Right', 'aircool' ),
								),
							),
							'columns_padding'     => array(
								'type'    => 'select',
								'value'   => 'columns_padding_15',
								'label'   => esc_html__( 'Column paddings in form', 'aircool' ),
								'desc'    => esc_html__( 'Choose columns horizontal paddings value', 'aircool' ),
								'choices' => array(
									'columns_padding_15' => esc_html__( '15 px - default', 'aircool' ),
									'columns_padding_0'  => esc_html__( '0', 'aircool' ),
									'columns_padding_1'  => esc_html__( '1 px', 'aircool' ),
									'columns_padding_2'  => esc_html__( '2 px', 'aircool' ),
									'columns_padding_5'  => esc_html__( '5 px', 'aircool' ),
									'columns_padding_10'  => esc_html__( '10 px', 'aircool' ),
								),
							),
							'form_email_settings' => array(
								'type'    => 'group',
								'options' => array(
									'email_to' => array(
										'type'  => 'text',
										'label' => esc_html__( 'Email To', 'aircool' ),
										'help'  => esc_html__( 'We recommend you to use an email that you verify often', 'aircool' ),
										'desc'  => esc_html__( 'The form will be sent to this email address.', 'aircool' ),
									),
								),
							),
							'form_text_settings'  => array(
								'type'    => 'group',
								'options' => array(
									'subject-group'       => array(
										'type'    => 'group',
										'options' => array(
											'subject_message' => array(
												'type'  => 'text',
												'label' => esc_html__( 'Subject Message', 'aircool' ),
												'desc'  => esc_html__( 'This text will be used as subject message for the email', 'aircool' ),
												'value' => esc_html__( 'Contact Form', 'aircool' ),
											),
										)
									),
									'submit-button-group' => array(
										'type'    => 'group',
										'options' => array(
											'submit_button_text' => array(
												'type'  => 'text',
												'label' => esc_html__( 'Submit Button', 'aircool' ),
												'desc'  => esc_html__( 'This text will appear in submit button', 'aircool' ),
												'value' => esc_html__( 'Send', 'aircool' ),
											),
											'reset_button_text'  => array(
												'type'  => 'text',
												'label' => esc_html__( 'Reset Button', 'aircool' ),
												'desc'  => esc_html__( 'This text will appear in reset button. Leave blank if reset button not needed', 'aircool' ),
												'value' => esc_html__( 'Clear', 'aircool' ),
											),
											'button_color'          => array(
												'label'   => esc_html__( 'Button Color', 'aircool' ),
												'desc'    => esc_html__( 'Choose a color for your button', 'aircool' ),
												'type'    => 'select',
												'choices' => array(
													'color1'  => esc_html__( 'Color 1', 'aircool' ),
													'color2'  => esc_html__( 'Color 2', 'aircool' ),
													'color3'  => esc_html__( 'Color 3', 'aircool' ),
													'white'   => esc_html__( 'Color white', 'aircool' ),
													'dark'    => esc_html__( 'Color dark', 'aircool' ),
												),
											),
											'button_align' => array(
												'type'    => 'select',
												'value'   => 'text-left',
												'label'   => esc_html__( 'Button alignment', 'aircool' ),
												'desc'    => esc_html__( 'Select button alignment', 'aircool' ),
												'choices' => array(
													'text-left'   => esc_html__( 'Left', 'aircool' ),
													'text-center' => esc_html__( 'Center', 'aircool' ),
													'text-right'  => esc_html__( 'Right', 'aircool' ),
												),
											),
										)
									),
									'success-group'       => array(
										'type'    => 'group',
										'options' => array(
											'success_message' => array(
												'type'  => 'text',
												'label' => esc_html__( 'Success Message', 'aircool' ),
												'desc'  => esc_html__( 'This text will be displayed when the form will successfully send', 'aircool' ),
												'value' => esc_html__( 'Message sent!', 'aircool' ),
											),
										)
									),
									'failure_message'     => array(
										'type'  => 'text',
										'label' => esc_html__( 'Failure Message', 'aircool' ),
										'desc'  => esc_html__( 'This text will be displayed when the form will fail to be sent', 'aircool' ),
										'value' => esc_html__( 'Oops something went wrong.', 'aircool' ),
									),
								),
							),
						)
					),
					'mailer-options'   => array(
						'title'   => esc_html__( 'Mailer Options', 'aircool' ),
						'type'    => 'tab',
						'options' => array(
							'mailer' => array(
								'label' => false,
								'type'  => 'mailer'
							)
						)
					)
				),
			),
		),
	)
);