<?php if ( ! defined( 'FW' ) ) {
	die( 'Forbidden' );
}

$options = array(
	'slide_background' => array(
		'type'        => 'select',
		'value'       => 'ls',
		'label'       => esc_html__( 'Slide background', 'aircool' ),
		'desc'        => esc_html__( 'Select slide background color', 'aircool' ),
		'choices'     => array(
			'ls'    => esc_html__( 'Light', 'aircool' ),
			'ls ms' => esc_html__( 'Light Muted', 'aircool' ),
			'ds'    => esc_html__( 'Dark', 'aircool' ),
			'ds ms' => esc_html__( 'Dark Muted', 'aircool' ),
			'color_1'    => esc_html__( 'Color 1', 'aircool' ),
			'color_2'    => esc_html__( 'Color 2', 'aircool' ),
			'color_3'    => esc_html__( 'Color 3', 'aircool' ),
		),
		/**
		 * Allow save not existing choices
		 * Useful when you use the select to populate it dynamically from js
		 */
		'no-validate' => false,
	),
	'slide_align'      => array(
		'type'        => 'select',
		'value'       => 'text-left',
		'label'       => esc_html__( 'Slide text alignment', 'aircool' ),
		'desc'        => esc_html__( 'Select slide text alignment', 'aircool' ),
		'choices'     => array(
			'text-left'   => esc_html__( 'Left', 'aircool' ),
			'text-center' => esc_html__( 'Center', 'aircool' ),
			'text-right'  => esc_html__( 'Right', 'aircool' ),
		),
		/**
		 * Allow save not existing choices
		 * Useful when you use the select to populate it dynamically from js
		 */
		'no-validate' => false,
	),
	'slide_layers'     => array(
		'type'        => 'addable-box',
		'value'       => '',
		'label'       => esc_html__( 'Slide Layers', 'aircool' ),
		'desc'        => esc_html__( 'Choose a tag and text inside it', 'aircool' ),
		'box-options' => array(
			'layer_tag'            => array(
				'type'    => 'select',
				'value'   => 'h3',
				'label'   => esc_html__( 'Layer tag', 'aircool' ),
				'desc'    => esc_html__( 'Select a tag for your ', 'aircool' ),
				'choices' => array(
					'h3' => esc_html__( 'H3 tag', 'aircool' ),
					'h2' => esc_html__( 'H2 tag', 'aircool' ),
					'h4' => esc_html__( 'H4 tag', 'aircool' ),
					'p'  => esc_html__( 'P tag', 'aircool' ),
				),
			),
			'layer_animation'      => array(
				'type'    => 'select',
				'value'   => 'fadeIn',
				'label'   => esc_html__( 'Animation type', 'aircool' ),
				'desc'    => esc_html__( 'Select one of predefined animations', 'aircool' ),
				'choices' => array(
					''               => 'Default',
					'slideDown'      => esc_html__( 'slideDown', 'aircool' ),
					'scaleAppear'    => esc_html__( 'scaleAppear', 'aircool' ),
					'fadeInLeft'     => esc_html__( 'fadeInLeft', 'aircool' ),
					'fadeInUp'       => esc_html__( 'fadeInUp', 'aircool' ),
					'fadeInRight'    => esc_html__( 'fadeInRight', 'aircool' ),
					'fadeInDown'     => esc_html__( 'fadeInDown', 'aircool' ),
					'fadeIn'         => esc_html__( 'fadeIn', 'aircool' ),
					'slideRight'     => esc_html__( 'slideRight', 'aircool' ),
					'slideUp'        => esc_html__( 'slideUp', 'aircool' ),
					'slideLeft'      => esc_html__( 'slideLeft', 'aircool' ),
					'expandUp'       => esc_html__( 'expandUp', 'aircool' ),
					'slideExpandUp'  => esc_html__( 'slideExpandUp', 'aircool' ),
					'expandOpen'     => esc_html__( 'expandOpen', 'aircool' ),
					'bigEntrance'    => esc_html__( 'bigEntrance', 'aircool' ),
					'hatch'          => esc_html__( 'hatch', 'aircool' ),
					'tossing'        => esc_html__( 'tossing', 'aircool' ),
					'pulse'          => esc_html__( 'pulse', 'aircool' ),
					'floating'       => esc_html__( 'floating', 'aircool' ),
					'bounce'         => esc_html__( 'bounce', 'aircool' ),
					'pullUp'         => esc_html__( 'pullUp', 'aircool' ),
					'pullDown'       => esc_html__( 'pullDown', 'aircool' ),
					'stretchLeft'    => esc_html__( 'stretchLeft', 'aircool' ),
					'stretchRight'   => esc_html__( 'stretchRight', 'aircool' ),
					'fadeInUpBig'    => esc_html__( 'fadeInUpBig', 'aircool' ),
					'fadeInDownBig'  => esc_html__( 'fadeInDownBig', 'aircool' ),
					'fadeInLeftBig'  => esc_html__( 'fadeInLeftBig', 'aircool' ),
					'fadeInRightBig' => esc_html__( 'fadeInRightBig', 'aircool' ),
					'slideInDown'    => esc_html__( 'slideInDown', 'aircool' ),
					'slideInLeft'    => esc_html__( 'slideInLeft', 'aircool' ),
					'slideInRight'   => esc_html__( 'slideInRight', 'aircool' ),
					'moveFromLeft'   => esc_html__( 'moveFromLeft', 'aircool' ),
					'moveFromRight'  => esc_html__( 'moveFromRight', 'aircool' ),
					'moveFromBottom' => esc_html__( 'moveFromBottom', 'aircool' ),
				),
			),
			'layer_text'           => array(
				'type'  => 'text',
				'value' => '',
				'label' => esc_html__( 'Layer text', 'aircool' ),
				'desc'  => esc_html__( 'Text to appear in slide layer', 'aircool' ),
			),
			'layer_text_color'     => array(
				'type'    => 'select',
				'value'   => '',
				'label'   => esc_html__( 'Layer text color', 'aircool' ),
				'desc'    => esc_html__( 'Select a color for your text in layer', 'aircool' ),
				'choices' => array(
					''           => 'Inherited',
					'highlight'  => esc_html__( 'First theme main color', 'aircool' ),
					'highlight2' => esc_html__( 'Second theme main color', 'aircool' ),
					'grey'       => esc_html__( 'Grey color', 'aircool' ),
					'black'      => esc_html__( 'Dark color', 'aircool' ),
					'light'      => esc_html__( 'Light color', 'aircool' ),
				),
			),
			'layer_text_weight'    => array(
				'type'    => 'select',
				'value'   => '',
				'label'   => esc_html__( 'Layer text weight', 'aircool' ),
				'desc'    => esc_html__( 'Select a weight for your text in layer', 'aircool' ),
				'choices' => array(
					'normal'     => 'Normal',
					'thin' => esc_html__( 'Thin', 'aircool' ),
					'bold' => esc_html__( 'Bold', 'aircool' ),
					'extra-bold' => esc_html__( 'Extra Bold', 'aircool' ),

				),
			),
			'layer_text_transform' => array(
				'type'    => 'select',
				'value'   => '',
				'label'   => esc_html__( 'Layer text transform', 'aircool' ),
				'desc'    => esc_html__( 'Select a text transformation for your layer', 'aircool' ),
				'choices' => array(
					''                => 'None',
					'text-lowercase'  => esc_html__( 'Lowercase', 'aircool' ),
					'text-uppercase'  => esc_html__( 'Uppercase', 'aircool' ),
					'text-capitalize' => esc_html__( 'Capitalize', 'aircool' ),

				),
			),
			'custom_class' => array(
				'type'  => 'text',
				'value' => '',
				'label' => esc_html__( 'Layer custom class', 'aircool' ),
				'desc'  => esc_html__( 'Set layer custom class', 'aircool' ),
			),
		),
		'template'    => esc_html__( 'Slider Layer', 'aircool' ),

		'limit'           => 5, // limit the number of boxes that can be added
		'add-button-text' => esc_html__( 'Add', 'aircool' ),
//		'sortable' => true,
	),
	'slide_button'     => array(
		'type'        => 'select',
		'value'       => '',
		'label'       => esc_html__( 'Slide button', 'aircool' ),
		'desc'        => esc_html__( 'Select slide button. Leave empty if no button needed', 'aircool' ),
		'choices'     => array(
			''                     => esc_html__( 'None', 'aircool' ),
			'theme_button wide_button color1'  => esc_html__( 'Color 1 button', 'aircool' ),
			'theme_button wide_button color2'  => esc_html__( 'Color 2 button', 'aircool' ),
			'theme_button wide_button color3'  => esc_html__( 'Color 3 button', 'aircool' ),
			'theme_button wide_button inverse white' => esc_html__( 'Inverse white button', 'aircool' ),
			'theme_button wide_button inverse dark' => esc_html__( 'Inverse dark button', 'aircool' ),
		),
		/**
		 * Allow save not existing choices
		 * Useful when you use the select to populate it dynamically from js
		 */
		'no-validate' => false,
	),

	'slide_button_text'      => array(
		'type'  => 'text',
		'value' => '',
		'label' => esc_html__( 'Slide button text', 'aircool' ),
		'desc'  => esc_html__( 'Text in button', 'aircool' ),
	),
	'slide_button_link'      => array(
		'type'  => 'text',
		'value' => '',
		'label' => esc_html__( 'Slide button link', 'aircool' ),
		'desc'  => esc_html__( 'Paste a link', 'aircool' ),
	),
	'slide_button_animation' => array(
		'type'    => 'select',
		'value'   => 'fadeIn',
		'label'   => esc_html__( 'Button animation type', 'aircool' ),
		'desc'    => esc_html__( 'Select one of predefined animations', 'aircool' ),
		'choices' => array(
			''               => 'Default',
			'slideDown'      => esc_html__( 'slideDown', 'aircool' ),
			'scaleAppear'    => esc_html__( 'scaleAppear', 'aircool' ),
			'fadeInLeft'     => esc_html__( 'fadeInLeft', 'aircool' ),
			'fadeInUp'       => esc_html__( 'fadeInUp', 'aircool' ),
			'fadeInRight'    => esc_html__( 'fadeInRight', 'aircool' ),
			'fadeInDown'     => esc_html__( 'fadeInDown', 'aircool' ),
			'fadeIn'         => esc_html__( 'fadeIn', 'aircool' ),
			'slideRight'     => esc_html__( 'slideRight', 'aircool' ),
			'slideUp'        => esc_html__( 'slideUp', 'aircool' ),
			'slideLeft'      => esc_html__( 'slideLeft', 'aircool' ),
			'expandUp'       => esc_html__( 'expandUp', 'aircool' ),
			'slideExpandUp'  => esc_html__( 'slideExpandUp', 'aircool' ),
			'expandOpen'     => esc_html__( 'expandOpen', 'aircool' ),
			'bigEntrance'    => esc_html__( 'bigEntrance', 'aircool' ),
			'hatch'          => esc_html__( 'hatch', 'aircool' ),
			'tossing'        => esc_html__( 'tossing', 'aircool' ),
			'pulse'          => esc_html__( 'pulse', 'aircool' ),
			'floating'       => esc_html__( 'floating', 'aircool' ),
			'bounce'         => esc_html__( 'bounce', 'aircool' ),
			'pullUp'         => esc_html__( 'pullUp', 'aircool' ),
			'pullDown'       => esc_html__( 'pullDown', 'aircool' ),
			'stretchLeft'    => esc_html__( 'stretchLeft', 'aircool' ),
			'stretchRight'   => esc_html__( 'stretchRight', 'aircool' ),
			'fadeInUpBig'    => esc_html__( 'fadeInUpBig', 'aircool' ),
			'fadeInDownBig'  => esc_html__( 'fadeInDownBig', 'aircool' ),
			'fadeInLeftBig'  => esc_html__( 'fadeInLeftBig', 'aircool' ),
			'fadeInRightBig' => esc_html__( 'fadeInRightBig', 'aircool' ),
			'slideInDown'    => esc_html__( 'slideInDown', 'aircool' ),
			'slideInLeft'    => esc_html__( 'slideInLeft', 'aircool' ),
			'slideInRight'   => esc_html__( 'slideInRight', 'aircool' ),
			'moveFromLeft'   => esc_html__( 'moveFromLeft', 'aircool' ),
			'moveFromRight'  => esc_html__( 'moveFromRight', 'aircool' ),
			'moveFromBottom' => esc_html__( 'moveFromBottom', 'aircool' ),
		),
	),
);