<?php if ( ! defined( 'FW' ) ) {
	die( 'Forbidden' );
}

$options = array(
	'column_align'     => array(
		'type'    => 'select',
		'value'   => '',
		'label'   => esc_html__( 'Text alignment in column', 'aircool' ),
		'desc'    => esc_html__( 'Select text alignment inside your column', 'aircool' ),
		'choices' => array(
			''            => esc_html__( 'Inherit', 'aircool' ),
			'text-left'   => esc_html__( 'Left', 'aircool' ),
			'text-center' => esc_html__( 'Center', 'aircool' ),
			'text-right'  => esc_html__( 'Right', 'aircool' ),
		),
	),
	'column_padding'   => array(
		'type'    => 'select',
		'value'   => '',
		'label'   => esc_html__( 'Column padding', 'aircool' ),
		'desc'    => esc_html__( 'Select optional internal column paddings', 'aircool' ),
		'choices' => array(
			''           => esc_html__( 'No padding', 'aircool' ),
			'padding_10' => esc_html__( '10px', 'aircool' ),
			'padding_20' => esc_html__( '20px', 'aircool' ),
			'padding_30' => esc_html__( '30px', 'aircool' ),
			'padding_40' => esc_html__( '40px', 'aircool' ),

		),
	),
	'background_color' => array(
		'type'    => 'select',
		'value'   => '',
		'label'   => esc_html__( 'Background color', 'aircool' ),
		'desc'    => esc_html__( 'Select background color', 'aircool' ),
		'help'    => esc_html__( 'Select one of predefined background colors', 'aircool' ),
		'choices' => array(
			''               => esc_html__( 'Transparent (No Background)', 'aircool' ),
			'with_background'=> esc_html__( 'Highlight', 'aircool' ),
			'muted_background'=> esc_html__( 'Muted', 'aircool' ),
			'ds ms'          => esc_html__( 'Dark Grey', 'aircool' ),
			'ds'             => esc_html__( 'Dark', 'aircool' ),
			'cs'             => esc_html__( 'Main color', 'aircool' ),
			'cs main_color2' => esc_html__( 'Second Main color', 'aircool' ),
		),
	),
	'background_image' => array(
		'label'   => esc_html__( 'Background Image', 'aircool' ),
		'desc'    => esc_html__( 'Please select the background image', 'aircool' ),
		'type'    => 'background-image',
		'choices' => array(//	in future may will set predefined images
		)
	),
	'background_cover' => array(
		'label' => esc_html__( 'Background Cover', 'aircool' ),
		'type'  => 'switch',
	),
	'column_animation' => array(
		'type'    => 'select',
		'value'   => '',
		'label'   => esc_html__( 'Animation type', 'aircool' ),
		'desc'    => esc_html__( 'Select one of predefined animations', 'aircool' ),
		'choices' => array(
			''               => 'None',
			'slideDown'      => esc_html__( 'slideDown', 'aircool' ),
			'scaleAppear'    => esc_html__( 'scaleAppear', 'aircool' ),
			'fadeInLeft'     => esc_html__( 'fadeInLeft', 'aircool' ),
			'fadeInUp'       => esc_html__( 'fadeInUp', 'aircool' ),
			'fadeInRight'    => esc_html__( 'fadeInRight', 'aircool' ),
			'fadeInDown'     => esc_html__( 'fadeInDown', 'aircool' ),
			'fadeIn'         => esc_html__( 'fadeIn', 'aircool' ),
			'slideRight'     => esc_html__( 'slideRight', 'aircool' ),
			'slideUp'        => esc_html__( 'slideUp', 'aircool' ),
			'slideLeft'      => esc_html__( 'slideLeft', 'aircool' ),
			'expandUp'       => esc_html__( 'expandUp', 'aircool' ),
			'slideExpandUp'  => esc_html__( 'slideExpandUp', 'aircool' ),
			'expandOpen'     => esc_html__( 'expandOpen', 'aircool' ),
			'bigEntrance'    => esc_html__( 'bigEntrance', 'aircool' ),
			'hatch'          => esc_html__( 'hatch', 'aircool' ),
			'tossing'        => esc_html__( 'tossing', 'aircool' ),
			'pulse'          => esc_html__( 'pulse', 'aircool' ),
			'floating'       => esc_html__( 'floating', 'aircool' ),
			'bounce'         => esc_html__( 'bounce', 'aircool' ),
			'pullUp'         => esc_html__( 'pullUp', 'aircool' ),
			'pullDown'       => esc_html__( 'pullDown', 'aircool' ),
			'stretchLeft'    => esc_html__( 'stretchLeft', 'aircool' ),
			'stretchRight'   => esc_html__( 'stretchRight', 'aircool' ),
			'fadeInUpBig'    => esc_html__( 'fadeInUpBig', 'aircool' ),
			'fadeInDownBig'  => esc_html__( 'fadeInDownBig', 'aircool' ),
			'fadeInLeftBig'  => esc_html__( 'fadeInLeftBig', 'aircool' ),
			'fadeInRightBig' => esc_html__( 'fadeInRightBig', 'aircool' ),
			'slideInDown'    => esc_html__( 'slideInDown', 'aircool' ),
			'slideInLeft'    => esc_html__( 'slideInLeft', 'aircool' ),
			'slideInRight'   => esc_html__( 'slideInRight', 'aircool' ),
			'moveFromLeft'   => esc_html__( 'moveFromLeft', 'aircool' ),
			'moveFromRight'  => esc_html__( 'moveFromRight', 'aircool' ),
			'moveFromBottom' => esc_html__( 'moveFromBottom', 'aircool' ),
		),
	),
	'custom_class' => array(
		'label' => esc_html__('Custom Class', 'aircool'),
		'desc'  => esc_html__('Add custom class for section', 'aircool'),
		'type'  => 'text',
	)
);
