<?php if ( ! defined( 'FW' ) ) {
	die( 'Forbidden' );
}

$options = array(
	'icon'       => array(
		'type'  => 'icon',
		'label' => esc_html__( 'Icon', 'aircool' ),
		'set'   => 'rt-icons-2',
	),
	'icon_size'  => array(
		'type'    => 'select',
		'value'   => 'size_normal',
		'label'   => esc_html__( 'Icon Size', 'aircool' ),
		'choices' => array(
			'size_small'  => esc_html__( 'Small', 'aircool' ),
			'size_normal' => esc_html__( 'Normal', 'aircool' ),
			'size_big'    => esc_html__( 'Big', 'aircool' ),
		)
	),
	'icon_style' => array(
		'type'    => 'image-picker',
		'value'   => 'default_icon',
		'label'   => esc_html__( 'Icon Style', 'aircool' ),
		'desc'    => esc_html__( 'Select one of predefined icon styles.', 'aircool' ),
		'help'    => esc_html__( 'If not set - no icon will appear.', 'aircool' ),
		'choices' => array(
			'default_icon' => fw_get_template_customizations_directory_uri() . '/extensions/shortcodes/shortcodes/icon/static/img/icon_teaser_01.png',
			'border_icon round'        => fw_get_template_customizations_directory_uri() . '/extensions/shortcodes/shortcodes/icon/static/img/icon_teaser_02.png',
			'bg_color round'    => fw_get_template_customizations_directory_uri() . '/extensions/shortcodes/shortcodes/icon/static/img/icon_teaser_03.png',
		),

		'blank' => false, // (optional) if true, images can be deselected
	),
	'icon_color'     => array(
		'type'    => 'select',
		'value'   => '',
		'label'   => esc_html__( 'Icon color', 'aircool' ),
		'desc'    => esc_html__( 'Select a color for your icon', 'aircool' ),
		'choices' => array(
			''           => 'Inherited',
			'color_1'  => esc_html__( 'First main color', 'aircool' ),
			'color_2' => esc_html__( 'Second main color', 'aircool' ),
			'color_3' => esc_html__( 'Third main color', 'aircool' ),
			'color_dark'      => esc_html__( 'Dark color', 'aircool' ),
			'color_light'      => esc_html__( 'Light color', 'aircool' ),
		),
	),
	'title'      => array(
		'type'  => 'text',
		'value'   => '',
		'label' => esc_html__( 'Title', 'aircool' ),
		'desc'  => esc_html__( 'Title near icon', 'aircool' ),
	),
	'title_size'  => array(
		'type'    => 'select',
		'value'   => 'size_normal',
		'label'   => esc_html__( 'Title Size', 'aircool' ),
		'choices' => array(
			'' => esc_html__( 'Normal', 'aircool' ),
			'fontsize_20 medium'    => esc_html__( 'Big', 'aircool' ),
		)
	),
	'text'       => array(
		'type'  => 'text',
		'value'   => '',
		'label' => esc_html__( 'Text', 'aircool' ),
		'desc'  => esc_html__( 'Text near title', 'aircool' ),
	),
);