<?php if ( ! defined( 'FW' ) ) {
	die( 'Forbidden' );
}

$options = array(
	'image'            => array(
		'type'  => 'upload',
		'label' => esc_html__( 'Choose Image', 'aircool' ),
		'desc'  => esc_html__( 'Either upload a new, or choose an existing image from your media library', 'aircool' )
	),
	'size'             => array(
		'type'    => 'group',
		'options' => array(
			'width'  => array(
				'type'  => 'text',
				'label' => esc_html__( 'Width', 'aircool' ),
				'desc'  => esc_html__( 'Set image width', 'aircool' ),
				'value' => 300
			),
			'height' => array(
				'type'  => 'text',
				'label' => esc_html__( 'Height', 'aircool' ),
				'desc'  => esc_html__( 'Set image height', 'aircool' ),
				'value' => 200
			)
		)
	),
	'image-link-group' => array(
		'type'    => 'group',
		'options' => array(
			'link'   => array(
				'type'  => 'text',
				'label' => esc_html__( 'Image Link', 'aircool' ),
				'desc'  => esc_html__( 'Where should your image link to?', 'aircool' )
			),
			'target' => array(
				'type'         => 'switch',
				'label'        => esc_html__( 'Open Link in New Window', 'aircool' ),
				'desc'         => esc_html__( 'Select here if you want to open the linked page in a new window', 'aircool' ),
				'right-choice' => array(
					'value' => '_blank',
					'label' => esc_html__( 'Yes', 'aircool' ),
				),
				'left-choice'  => array(
					'value' => '_self',
					'label' => esc_html__( 'No', 'aircool' ),
				),
			),
		)
	),
	'responsive'         => array(
		'attr'          => array( 'class' => 'fw-advanced-button' ),
		'type'          => 'popup',
		'label'         => esc_html__( 'Responsive visibility', 'aircool' ),
		'button'        => esc_html__( 'Settings', 'aircool' ),
		'size'          => 'medium',
		'popup-options' => array(
			'hidden_lg'     => array(
				'type'    => 'multi-picker',
				'label'   => false,
				'desc'    => false,
				'picker'  => array(
					'selected' => array(
						'type'         => 'switch',
						'value'        => 'yes',
						'label'        => esc_html__( 'Large', 'aircool' ),
						'desc'         => esc_html__( 'Display on large screen?', 'aircool' ),
						'left-choice'  => array(
							'value' => 'no',
							'label' => esc_html__( 'No', 'aircool' ),
						),
						'right-choice' => array(
							'value' => 'yes',
							'label' => esc_html__( 'Yes', 'aircool' ),
						)
					),
				),
			),
			'hidden_md'     => array(
				'type'    => 'multi-picker',
				'label'   => false,
				'desc'    => false,
				'picker'  => array(
					'selected' => array(
						'type'         => 'switch',
						'value'        => 'yes',
						'label'        => esc_html__( 'Desktop', 'aircool' ),
						'desc'         => esc_html__( 'Display on desktop?', 'aircool' ),
						'left-choice'  => array(
							'value' => 'no',
							'label' => esc_html__( 'No', 'aircool' ),
						),
						'right-choice' => array(
							'value' => 'yes',
							'label' => esc_html__( 'Yes', 'aircool' ),
						)
					),
				),
			),
			'hidden_sm'     => array(
				'type'    => 'multi-picker',
				'label'   => false,
				'desc'    => false,
				'picker'  => array(
					'selected' => array(
						'type'         => 'switch',
						'value'        => 'yes',
						'label'        => esc_html__( 'Tablet', 'aircool' ),
						'desc'         => esc_html__( 'Display on tablet?', 'aircool' ),
						'left-choice'  => array(
							'value' => 'no',
							'label' => esc_html__( 'No', 'aircool' ),
						),
						'right-choice' => array(
							'value' => 'yes',
							'label' => esc_html__( 'Yes', 'aircool' ),
						)
					),
				),
			),
			'hidden_xs' => array(
				'type'    => 'multi-picker',
				'label'   => false,
				'desc'    => false,
				'picker'  => array(
					'selected' => array(
						'type'         => 'switch',
						'value'        => 'yes',
						'label'        => esc_html__( 'Small devices', 'aircool' ),
						'desc'         => esc_html__( 'Display on small devices?', 'aircool' ),
						'left-choice'  => array(
							'value' => 'no',
							'label' => esc_html__( 'No', 'aircool' ),
						),
						'right-choice' => array(
							'value' => 'yes',
							'label' => esc_html__( 'Yes', 'aircool' ),
						)
					),
				),
				'choices' => array(),
			),
		),
	),
);

