<?php if ( ! defined( 'FW' ) ) {
	die( 'Forbidden' );
}
//get social icons to add in item:
$icon = fw_ext( 'shortcodes' )->get_shortcode( 'icon' );
//get social icons to add in item:
$icons_social = fw_ext( 'shortcodes' )->get_shortcode( 'icons_social' );

$options = array(
	'title'         => array(
		'type'  => 'text',
		'label' => esc_html__( 'Title of the Box', 'aircool' ),
	),
	'title_tag'     => array(
		'type'    => 'select',
		'value'   => 'h3',
		'label'   => esc_html__( 'Title Tag', 'aircool' ),
		'choices' => array(
			'h2' => esc_html__( 'H2', 'aircool' ),
			'h3' => esc_html__( 'H3', 'aircool' ),
			'h4' => esc_html__( 'H4', 'aircool' ),
		)
	),
	'content'       => array(
		'type'          => 'wp-editor',
		'label'         => esc_html__( 'Item text', 'aircool' ),
		'desc'          => esc_html__( 'Enter desired item content', 'aircool' ),
		'size'          => 'small', // small, large
		'editor_height' => 400,
	),
	'item_style'    => array(
		'type'    => 'select',
		'label'   => esc_html__( 'Item Box Style', 'aircool' ),
		'choices' => array(
			'no-content-padding'              => esc_html__( 'Default (no border or background)', 'aircool' ),
			'content-padding with_border'     => esc_html__( 'Bordered', 'aircool' ),
			'content-padding with_background' => esc_html__( 'Muted Background', 'aircool' ),
			'content-padding ls ms'           => esc_html__( 'Grey background', 'aircool' ),
			'content-padding ds'              => esc_html__( 'Darkgrey background', 'aircool' ),
			'content-padding ds ms'           => esc_html__( 'Dark background', 'aircool' ),
			'content-padding cs'              => esc_html__( 'Main color background', 'aircool' ),
			'full-padding with_border'        => esc_html__( 'Bordered with Padding', 'aircool' ),
			'full-padding with_background'    => esc_html__( 'Muted Background with Padding', 'aircool' ),
			'full-padding ls ms'              => esc_html__( 'Grey background with Padding', 'aircool' ),
			'full-padding ds'                 => esc_html__( 'Darkgrey background with Padding', 'aircool' ),
			'full-padding ds ms'              => esc_html__( 'Dark background with Padding', 'aircool' ),
			'full-padding cs'                 => esc_html__( 'Main color background with Padding', 'aircool' ),
		)
	),
	'link'          => array(
		'type'  => 'text',
		'value' => '',
		'label' => esc_html__( 'Item link', 'aircool' ),
		'desc'  => esc_html__( 'Link on title and optional button', 'aircool' ),
	),
	'item_image'    => array(
		'type'        => 'upload',
		'value'       => '',
		'label'       => esc_html__( 'Item Image', 'aircool' ),
		'image'       => esc_html__( 'Image for your item. Not all item layouts show image', 'aircool' ),
		'help'        => 'Image for your item. Image can appear as an element, or background or even can be hidden depends from chosen item type',
		'images_only' => true,
	),
	'image_right'   => array(
		'type'         => 'switch',
		'label'        => esc_html__( 'Image to the right', 'aircool' ),
		'left-choice'  => array(
			'value' => '',
			'label' => esc_html__( 'No', 'aircool' ),
		),
		'right-choice' => array(
			'value' => 'true',
			'label' => esc_html__( 'Yes', 'aircool' ),
		),
	),
	'responsive_lg' => array(
		'label'   => esc_html__( 'Image width on wide screens', 'aircool' ),
		'desc'    => esc_html__( 'Select image column width on wide screens (>1200px)', 'aircool' ),
		'value'   => '6',
		'type'    => 'select',
		'choices' => array(
			'12' => esc_html__( 'Full Width', 'aircool' ),
			'6'  => esc_html__( '1/2', 'aircool' ),
			'4'  => esc_html__( '1/3', 'aircool' ),
			'3'  => esc_html__( '1/4', 'aircool' ),
		)
	),
	'responsive_md' => array(
		'label'   => esc_html__( 'Image width on middle screens', 'aircool' ),
		'desc'    => esc_html__( 'Select image column width on middle screens (>992px)', 'aircool' ),
		'value'   => '4',
		'type'    => 'select',
		'choices' => array(
			'12' => esc_html__( 'Full Width', 'aircool' ),
			'6'  => esc_html__( '1/2', 'aircool' ),
			'4'  => esc_html__( '1/3', 'aircool' ),
			'3'  => esc_html__( '1/4', 'aircool' ),
		)
	),
	'responsive_sm' => array(
		'label'   => esc_html__( 'Image width on small screens', 'aircool' ),
		'desc'    => esc_html__( 'Select image column width on small screens (>768px)', 'aircool' ),
		'value'   => '2',
		'type'    => 'select',
		'choices' => array(
			'12' => esc_html__( 'Full Width', 'aircool' ),
			'6'  => esc_html__( '1/2', 'aircool' ),
			'4'  => esc_html__( '1/3', 'aircool' ),
			'3'  => esc_html__( '1/4', 'aircool' ),
		)
	),
	'responsive_xs' => array(
		'label'   => esc_html__( 'Image width on extra small screens', 'aircool' ),
		'desc'    => esc_html__( 'Select image column width on extra small screens (<767px)', 'aircool' ),
		'value'   => '1',
		'type'    => 'select',
		'choices' => array(
			'12' => esc_html__( 'Full Width', 'aircool' ),
			'6'  => esc_html__( '1/2', 'aircool' ),
			'4'  => esc_html__( '1/3', 'aircool' ),
			'3'  => esc_html__( '1/4', 'aircool' ),
		)
	),
	'icons'         => array(
		'type'            => 'addable-box',
		'value'           => '',
		'label'           => esc_html__( 'Additional info', 'aircool' ),
		'desc'            => esc_html__( 'Add icons with title and text', 'aircool' ),
		'box-options'     => $icon->get_options(),
		'add-button-text' => esc_html__( 'Add New', 'aircool' ),
		'template'        => '{{=title}}',
		'sortable'        => true,
	),
	$icons_social->get_options(),

);