<?php if ( ! defined( 'FW' ) ) {
	die( 'Forbidden' );
}

$options = array(
	'number'        => array(
		'type'       => 'slider',
		'value'      => 6,
		'properties' => array(
			'min'  => 1,
			'max'  => 12,
			'step' => 1, // Set slider step. Always > 0. Could be fractional.

		),
		'label'      => esc_html__( 'Items number', 'aircool' ),
		'desc'       => esc_html__( 'Number of posts to display', 'aircool' ),
	),
	'margin'        => array(
		'label'   => esc_html__( 'Horizontal item margin (px)', 'aircool' ),
		'desc'    => esc_html__( 'Select horizontal item margin', 'aircool' ),
		'value'   => '30',
		'type'    => 'select',
		'choices' => array(
			'0'  => esc_html__( '0', 'aircool' ),
			'1'  => esc_html__( '1px', 'aircool' ),
			'2'  => esc_html__( '2px', 'aircool' ),
			'10' => esc_html__( '10px', 'aircool' ),
			'30' => esc_html__( '30px', 'aircool' ),
		)
	),
	'layout'        => array(
		'label'   => esc_html__( 'Post Layout', 'aircool' ),
		'desc'    => esc_html__( 'Choose post layout', 'aircool' ),
		'value'   => 'carousel',
		'type'    => 'select',
		'choices' => array(
			'carousel' => esc_html__( 'Carousel', 'aircool' ),
			'isotope'  => esc_html__( 'Masonry Grid', 'aircool' ),
		)
	),
	'item_layout'   => array(
		'label'   => esc_html__( 'Item layout', 'aircool' ),
		'desc'    => esc_html__( 'Choose Item layout', 'aircool' ),
		'value'   => 'item-regular',
		'type'    => 'select',
		'choices' => array(
			'item-regular'  => esc_html__( 'Regular (just image)', 'aircool' ),
			'item-title'    => esc_html__( 'Image with title', 'aircool' ),
			'item-extended' => esc_html__( 'Image with title and excerpt', 'aircool' ),
		)
	),
	'responsive_lg' => array(
		'label'   => esc_html__( 'Columns on large screens', 'aircool' ),
		'desc'    => esc_html__( 'Select items number on wide screens (>1200px)', 'aircool' ),
		'value'   => '4',
		'type'    => 'select',
		'choices' => array(
			'1' => esc_html__( '1', 'aircool' ),
			'2' => esc_html__( '2', 'aircool' ),
			'3' => esc_html__( '3', 'aircool' ),
			'4' => esc_html__( '4', 'aircool' ),
			'6' => esc_html__( '6', 'aircool' ),
		)
	),
	'responsive_md' => array(
		'label'   => esc_html__( 'Columns on middle screens', 'aircool' ),
		'desc'    => esc_html__( 'Select items number on middle screens (>992px)', 'aircool' ),
		'value'   => '3',
		'type'    => 'select',
		'choices' => array(
			'1' => esc_html__( '1', 'aircool' ),
			'2' => esc_html__( '2', 'aircool' ),
			'3' => esc_html__( '3', 'aircool' ),
			'4' => esc_html__( '4', 'aircool' ),
			'6' => esc_html__( '6', 'aircool' ),
		)
	),
	'responsive_sm' => array(
		'label'   => esc_html__( 'Columns on small screens', 'aircool' ),
		'desc'    => esc_html__( 'Select items number on small screens (>768px)', 'aircool' ),
		'value'   => '2',
		'type'    => 'select',
		'choices' => array(
			'1' => esc_html__( '1', 'aircool' ),
			'2' => esc_html__( '2', 'aircool' ),
			'3' => esc_html__( '3', 'aircool' ),
			'4' => esc_html__( '4', 'aircool' ),
			'6' => esc_html__( '6', 'aircool' ),
		)
	),
	'responsive_xs' => array(
		'label'   => esc_html__( 'Columns on extra small screens', 'aircool' ),
		'desc'    => esc_html__( 'Select items number on extra small screens (<767px)', 'aircool' ),
		'value'   => '1',
		'type'    => 'select',
		'choices' => array(
			'1' => esc_html__( '1', 'aircool' ),
			'2' => esc_html__( '2', 'aircool' ),
			'3' => esc_html__( '3', 'aircool' ),
			'4' => esc_html__( '4', 'aircool' ),
			'6' => esc_html__( '6', 'aircool' ),
		)
	),
	'show_filters'  => array(
		'type'         => 'switch',
		'value'        => false,
		'label'        => esc_html__( 'Show filters', 'aircool' ),
		'desc'         => esc_html__( 'Hide or show categories filters', 'aircool' ),
		'left-choice'  => array(
			'value' => false,
			'label' => esc_html__( 'No', 'aircool' ),
		),
		'right-choice' => array(
			'value' => true,
			'label' => esc_html__( 'Yes', 'aircool' ),
		),
	),
	'grayscale_img'  => array(
		'type'         => 'switch',
		'value'        => false,
		'label'        => esc_html__( 'Gray images', 'aircool' ),
		'desc'         => esc_html__( 'Make images greyscale?', 'aircool' ),
		'left-choice'  => array(
			'value' => false,
			'label' => esc_html__( 'No', 'aircool' ),
		),
		'right-choice' => array(
			'value' => 'grayscale-img',
			'label' => esc_html__( 'Yes', 'aircool' ),
		),
	),
);