<?php if ( ! defined( 'FW' ) ) {
	die( 'Forbidden' );
}

$options = array(
	'tab_main_options'          => array(
		'type'    => 'tab',
		'title'   => esc_html__( 'Main Options', 'aircool' ),
		'options' => array(
			'section_name' => array(
				'label' => esc_html__( 'Section Name', 'aircool' ),
				'desc'  => esc_html__( 'Enter a name (it is for internal use and will not appear on the front end)', 'aircool' ),
				'help'  => esc_html__( 'Use this option to name your sections. It will help you go through the structure a lot easier.', 'aircool' ),
				'type'  => 'text',
			),
			'is_fullwidth' => array(
				'label' => esc_html__( 'Full Width', 'aircool' ),
				'type'  => 'switch',
			),
			'horizontal_paddings' => array(
				'type'         => 'switch',
				'value'        => '',
				'label'        => esc_html__( 'Disable horizontal paddings', 'aircool' ),
				'desc'         => esc_html__( 'Disable section horizontal paddings', 'aircool' ),
				'left-choice'  => array(
					'value' => '',
					'label' => esc_html__( 'No', 'aircool' ),
				),
				'right-choice' => array(
					'value' => 'horizontal-paddings-0',
					'label' => esc_html__( 'Yes', 'aircool' ),
				)
			),
			'background_color' => array(
				'type'    => 'select',
				'value'   => 'ls',
				'label'   => esc_html__( 'Background color', 'aircool' ),
				'desc'    => esc_html__( 'Select background color', 'aircool' ),
				'help'    => esc_html__( 'Select one of predefined background colors', 'aircool' ),
				'choices' => array(
					'ls'             => esc_html__( 'Light', 'aircool' ),
					'ls ms'          => esc_html__( 'Light Grey', 'aircool' ),
					'ds ms'          => esc_html__( 'Dark Grey', 'aircool' ),
					'ds'             => esc_html__( 'Dark', 'aircool' ),
					'cs'             => esc_html__( 'Main color', 'aircool' ),
					'cs main_color2' => esc_html__( 'Second Main color', 'aircool' ),
					'cs main_color3' => esc_html__( 'Third Main color', 'aircool' ),
				),
			),
			'top_padding'      => array(
				'type'    => 'select',
				'value'   => 'section_padding_top_50',
				'label'   => esc_html__( 'Top padding', 'aircool' ),
				'desc'    => esc_html__( 'Choose top padding value', 'aircool' ),
				'choices' => array(
					'section_padding_top_0'   => esc_html__( '0', 'aircool' ),
					'section_padding_top_5'   => esc_html__( '5 px', 'aircool' ),
					'section_padding_top_15'  => esc_html__( '15 px', 'aircool' ),
					'section_padding_top_25'  => esc_html__( '25 px', 'aircool' ),
					'section_padding_top_30'  => esc_html__( '30 px', 'aircool' ),
					'section_padding_top_40'  => esc_html__( '40 px', 'aircool' ),
					'section_padding_top_50'  => esc_html__( '50 px', 'aircool' ),
					'section_padding_top_65'  => esc_html__( '65 px', 'aircool' ),
					'section_padding_top_75'  => esc_html__( '75 px', 'aircool' ),
					'section_padding_top_100' => esc_html__( '100 px', 'aircool' ),
					'section_padding_top_130' => esc_html__( '130 px', 'aircool' ),
					'section_padding_top_150' => esc_html__( '150 px', 'aircool' ),
				),
			),
			'bottom_padding'   => array(
				'type'    => 'select',
				'value'   => 'section_padding_bottom_50',
				'label'   => esc_html__( 'Bottom padding', 'aircool' ),
				'desc'    => esc_html__( 'Choose bottom padding value', 'aircool' ),
				'choices' => array(
					'section_padding_bottom_0'   => esc_html__( '0', 'aircool' ),
					'section_padding_bottom_5'   => esc_html__( '5 px', 'aircool' ),
					'section_padding_bottom_15'  => esc_html__( '15 px', 'aircool' ),
					'section_padding_bottom_25'  => esc_html__( '25 px', 'aircool' ),
					'section_padding_bottom_30'  => esc_html__( '30 px', 'aircool' ),
					'section_padding_bottom_40'  => esc_html__( '40 px', 'aircool' ),
					'section_padding_bottom_50'  => esc_html__( '50 px', 'aircool' ),
					'section_padding_bottom_65'  => esc_html__( '65 px', 'aircool' ),
					'section_padding_bottom_75'  => esc_html__( '75 px', 'aircool' ),
					'section_padding_bottom_100' => esc_html__( '100 px', 'aircool' ),
					'section_padding_bottom_130' => esc_html__( '130 px', 'aircool' ),
					'section_padding_bottom_150' => esc_html__( '150 px', 'aircool' ),
				),
			),
			'columns_padding'  => array(
				'type'    => 'select',
				'value'   => 'columns_padding_15',
				'label'   => esc_html__( 'Column paddings', 'aircool' ),
				'desc'    => esc_html__( 'Choose columns horizontal paddings value', 'aircool' ),
				'choices' => array(
					'columns_padding_0'  => esc_html__( '0', 'aircool' ),
					'columns_padding_1'  => esc_html__( '1 px', 'aircool' ),
					'columns_padding_2'  => esc_html__( '2 px', 'aircool' ),
					'columns_padding_5'  => esc_html__( '5 px', 'aircool' ),
					'columns_padding_15' => esc_html__( '15 px - default', 'aircool' ),
					'columns_padding_25' => esc_html__( '25 px', 'aircool' ),
					'columns_padding_80' => esc_html__( '80 px - extra large', 'aircool' ),
				),
			),
			'background_image' => array(
				'label'   => esc_html__( 'Background Image', 'aircool' ),
				'desc'    => esc_html__( 'Please select the background image', 'aircool' ),
				'type'    => 'background-image',
				'choices' => array(//	in future may will set predefined images
				)
			),
			'background_cover' => array(
				'label' => esc_html__( 'Background Cover', 'aircool' ),
				'type'  => 'switch',
			),
			'parallax'         => array(
				'label' => esc_html__( 'Parallax', 'aircool' ),
				'type'  => 'switch',
			),
			'section_overlay'  => array(
				'label' => esc_html__( 'Section overlay', 'aircool' ),
				'type'  => 'switch',
			),
			'is_table'         => array(
				'label' => esc_html__( 'Vertical align content', 'aircool' ),
				'desc'  => esc_html__( 'Align columns content vertically on wide screens', 'aircool' ),
				'type'  => 'switch',
			),
			'section_id'       => array(
				'type'  => 'text',
				'value' => '',
				'label' => esc_html__( 'ID attribute', 'aircool' ),
				'desc'  => esc_html__( 'Add ID attribute to section. Useful for single page menu', 'aircool' ),
			),
			'custom_class'     => array(
				'label' => esc_html__( 'Custom Class', 'aircool' ),
				'desc'  => esc_html__( 'Add custom class for section', 'aircool' ),
				'type'  => 'text',
			),
		),
	),
	'tab_onehalf_media_options' => array(
		'type'    => 'tab',
		'title'   => esc_html__( 'One half width Media', 'aircool' ),
		'options' => array(
			'side_media_image'    => array(
				'type'        => 'upload',
				'value'       => array(),
				'label'       => esc_html__( 'Side media image', 'aircool' ),
				'desc'        => esc_html__( 'Select image that you want to appear as one half side image', 'aircool' ),
				'images_only' => true,
			),
			'side_media_link'     => array(
				'type'  => 'text',
				'value' => '',
				'label' => esc_html__( 'Link to your side media', 'aircool' ),
				'desc'  => esc_html__( 'You can add a link to your side media. If YouTube link will be provided, video will play in LightBox', 'aircool' ),
			),
			'side_media_video'    => array(
				'type'    => 'oembed',
				'value'   => '',
				'label'   => esc_html__( 'Video', 'aircool' ),
				'desc'    => esc_html__( 'Adds video player', 'aircool' ),
				'help'    => esc_html__( 'Leave blank if no needed', 'aircool' ),
				'preview' => array(
					'width'      => 278, // optional, if you want to set the fixed width to iframe
					'height'     => 185, // optional, if you want to set the fixed height to iframe
					/**
					 * if is set to false it will force to fit the dimensions,
					 * because some widgets return iframe with aspect ratio and ignore applied dimensions
					 */
					'keep_ratio' => true
				),
			),
			'side_media_position' => array(
				'type'         => 'switch',
				'value'        => 'cover_left',
				'label'        => esc_html__( 'Media position', 'aircool' ),
				'desc'         => esc_html__( 'Left or right media position', 'aircool' ),
				'left-choice'  => array(
					'value' => 'cover_left',
					'label' => esc_html__( 'Left', 'aircool' ),
				),
				'right-choice' => array(
					'value' => 'cover_right',
					'label' => esc_html__( 'Right', 'aircool' ),
				),
			),
		),
	),
);
