<?php if ( ! defined( 'FW' ) ) {
	die( 'Forbidden' );
}

$options = array(
	'heading_align' => array(
		'type'    => 'select',
		'value'   => 'text-left',
		'label'   => esc_html__( 'Text alignment', 'aircool' ),
		'desc'    => esc_html__( 'Select heading text alignment', 'aircool' ),
		'choices' => array(
			'text-left'   => esc_html__( 'Left', 'aircool' ),
			'text-center' => esc_html__( 'Center', 'aircool' ),
			'text-right'  => esc_html__( 'Right', 'aircool' ),
		),
	),
	'headings'      => array(
		'type'        => 'addable-box',
		'value'       => '',
		'label'       => esc_html__( 'Headings', 'aircool' ),
		'desc'        => esc_html__( 'Choose a tag and text inside it', 'aircool' ),
		'box-options' => array(
			'heading_tag'            => array(
				'type'    => 'select',
				'value'   => 'h3',
				'label'   => esc_html__( 'Heading tag', 'aircool' ),
				'desc'    => esc_html__( 'Select a tag for your ', 'aircool' ),
				'choices' => array(
					'h3' => esc_html__( 'H3 tag', 'aircool' ),
					'h2' => esc_html__( 'H2 tag', 'aircool' ),
					'h4' => esc_html__( 'H4 tag', 'aircool' ),
					'p'  => esc_html__( 'P tag', 'aircool' ),

				),
			),
			'heading_text'           => array(
				'type'  => 'text',
				'value' => '',
				'label' => esc_html__( 'Heading text', 'aircool' ),
				'desc'  => esc_html__( 'Text to appear in slide layer', 'aircool' ),
			),
			'heading_text_color'     => array(
				'type'    => 'select',
				'value'   => '',
				'label'   => esc_html__( 'Heading text color', 'aircool' ),
				'desc'    => esc_html__( 'Select a color for your text in layer', 'aircool' ),
				'choices' => array(
					''           => 'Inherited',
					'highlight'  => esc_html__( 'First main color', 'aircool' ),
					'highlight2' => esc_html__( 'Second main color', 'aircool' ),
					'grey'       => esc_html__( 'Dark grey color', 'aircool' ),
					'black'      => esc_html__( 'Dark color', 'aircool' ),
					'lightgrey'      => esc_html__( 'Light grey color', 'aircool' ),
				),
			),
			'heading_text_weight'    => array(
				'type'    => 'select',
				'value'   => 'regular',
				'label'   => esc_html__( 'Heading text weight', 'aircool' ),
				'desc'    => esc_html__( 'Select a weight for your text in layer', 'aircool' ),
				'choices' => array(
					'regular'     => 'Normal',
					'thin' => esc_html__( 'Thin', 'aircool' ),
					'bold' => esc_html__( 'Bold', 'aircool' ),
					'extra-bold' => esc_html__( 'Extra Bold', 'aircool' ),
				),
			),
			'heading_text_transform' => array(
				'type'    => 'select',
				'value'   => '',
				'label'   => esc_html__( 'Heading text transform', 'aircool' ),
				'desc'    => esc_html__( 'Select a weight for your text in layer', 'aircool' ),
				'choices' => array(
					''                => 'None',
					'text-lowercase'  => esc_html__( 'Lowercase', 'aircool' ),
					'text-uppercase'  => esc_html__( 'Uppercase', 'aircool' ),
					'text-capitalize' => esc_html__( 'Capitalize', 'aircool' ),
				),
			),
			'heading_letter_spacing' => array(
				'type'    => 'select',
				'value'   => '',
				'label'   => esc_html__( 'Heading letter spacing', 'aircool' ),
				'desc'    => esc_html__( 'Select a letter spacing for your text in layer', 'aircool' ),
				'choices' => array(
					''                => 'None',
					'spacing-text-small'  => esc_html__( 'Small', 'aircool' ),
					'spacing-text-large'  => esc_html__( 'Large', 'aircool' ),
				),
			),
		),
		'template'    => '{{- heading_text }}',
	)
);
