<?php if ( ! defined( 'FW' ) ) {
	die( 'Forbidden' );
}

$teaser = fw_ext( 'shortcodes' )->get_shortcode( 'teaser' );

$options = array(
	'tabs'       => array(
		'type'          => 'addable-popup',
		'label'         => esc_html__( 'Tabs', 'aircool' ),
		'popup-title'   => esc_html__( 'Add/Edit Tabs', 'aircool' ),
		'desc'          => esc_html__( 'Create your tabs', 'aircool' ),
		'template'      => '{{=tab_title}}',
		'popup-options' => array(
			'tab_title'           => array(
				'type'  => 'text',
				'label' => esc_html__( 'Title', 'aircool' )
			),
			'tab_columns_width'   => array(
				'type'    => 'select',
				'label'   => esc_html__( 'Column width in tab content', 'aircool' ),
				'value'   => 'col-sm-4',
				'desc'    => esc_html__( 'Choose teaser width inside tab content', 'aircool' ),
				'choices' => array(
					'col-sm-12' => esc_html__( '1/1', 'aircool' ),
					'col-sm-6'  => esc_html__( '1/2', 'aircool' ),
					'col-sm-4'  => esc_html__( '1/3', 'aircool' ),
					'col-sm-3'  => esc_html__( '1/4', 'aircool' ),
				),
			),
			'tab_columns_padding' => array(
				'type'    => 'select',
				'value'   => 'columns_padding_15',
				'label'   => esc_html__( 'Column paddings', 'aircool' ),
				'desc'    => esc_html__( 'Choose columns horizontal paddings value', 'aircool' ),
				'choices' => array(
					'columns_padding_0'  => esc_html__( '0', 'aircool' ),
					'columns_padding_1'  => esc_html__( '1 px', 'aircool' ),
					'columns_padding_2'  => esc_html__( '2 px', 'aircool' ),
					'columns_padding_5'  => esc_html__( '5 px', 'aircool' ),
					'columns_padding_15' => esc_html__( '15 px - default', 'aircool' ),
					'columns_padding_25' => esc_html__( '25 px', 'aircool' ),
				),
			),
			'tab_teasers'         => array(
				'type'          => 'addable-popup',
				'label'         => esc_html__( 'Teasers in tabs', 'aircool' ),
				'popup-title'   => esc_html__( 'Add/Edit Teasers in tabs', 'aircool' ),
				'desc'          => esc_html__( 'Create your teasers in tabs', 'aircool' ),
				'template'      => '{{=title}}',
				'popup-options' => $teaser->get_options(),

			),
		),

	),
	'top_border' => array(
		'type'         => 'switch',
		'value'        => '',
		'label'        => esc_html__( 'Top color border', 'aircool' ),
		'desc'         => esc_html__( 'Add top color border to tab content', 'aircool' ),
		'left-choice'  => array(
			'value' => '',
			'label' => esc_html__( 'No top border', 'aircool' ),
		),
		'right-choice' => array(
			'value' => 'top-color-border',
			'label' => esc_html__( 'Color top border', 'aircool' ),
		),
	),
	'id'         => array( 'type' => 'unique' ),
);