<?php if ( ! defined( 'FW' ) ) {
	die( 'Forbidden' );
}
/**
 * Framework options
 *
 * @var array $options Fill this array with options to generate framework settings form in WordPress customizer
 */

//find fw_ext
$shortcodes_extension = fw()->extensions->get( 'shortcodes' );
$header_social_icons  = array();
if ( ! empty( $shortcodes_extension ) ) {
	$header_social_icons = $shortcodes_extension->get_shortcode( 'icons_social' )->get_options();
}

//header teasers
$header_icon_1  = array();
$header_icon_2  = array();
if ( ! empty( $shortcodes_extension ) ) {
	$header_icon_1 = $shortcodes_extension->get_shortcode( 'icon' )->get_options();
	$header_icon_2 = $shortcodes_extension->get_shortcode( 'icon' )->get_options();
}

//header button
$header_button  = array();
if ( ! empty( $shortcodes_extension ) ) {
	$header_button = $shortcodes_extension->get_shortcode( 'button' )->get_options();
}


$slider_extension = fw()->extensions->get( 'slider' );
$choices = '';
if ( ! empty ( $slider_extension ) ) {
	$choices = $slider_extension->get_populated_sliders_choices();
}

//adding empty value to disable slider
$choices['0'] = esc_html__( 'No Slider', 'aircool' );

$options = array(
	'logo_section'    => array(
		'title'   => esc_html__( 'Site Logo', 'aircool' ),
		'options' => array(
			'logo_image'             => array(
				'type'        => 'upload',
				'value'       => array(),
				'attr'        => array( 'class' => 'logo_image-class', 'data-logo_image' => 'logo_image' ),
				'label'       => esc_html__( 'Main logo image that appears in header', 'aircool' ),
				'desc'        => esc_html__( 'Select your logo', 'aircool' ),
				'help'        => esc_html__( 'Choose image to display as a site logo', 'aircool' ),
				'images_only' => true,
				'files_ext'   => array( 'png', 'jpg', 'jpeg', 'gif', 'svg' ),
			),
			'logo_text'              => array(
				'type'  => 'text',
				'value' => 'AirCool',
				'attr'  => array( 'class' => 'logo_text-class', 'data-logo_text' => 'logo_text' ),
				'label' => esc_html__( 'Logo Text', 'aircool' ),
				'desc'  => esc_html__( 'Text that appears near logo image', 'aircool' ),
				'help'  => esc_html__( 'Type your text to show it in logo', 'aircool' ),
			),
			'logo_subtext'              => array(
				'type'  => 'text',
				'value' => 'Conditioning & heating',
				'attr'  => array( 'class' => 'logo_subtext-class', 'data-logo_subtext' => 'logo_subtext' ),
				'label' => esc_html__( 'Logo Tagline', 'aircool' ),
				'desc'  => esc_html__( 'Text that appears near logo text', 'aircool' ),
			),
		),
	),
	'version'         => array(
		'title'   => esc_html__( 'Theme Variant', 'aircool' ),
		'options' => array(
			'version' => array(
				'type'    => 'radio',
				'value'   => 'light',
				'attr'    => array( 'class' => 'theme-layout-class', 'data-theme-layout' => 'layout' ),
				'label'   => esc_html__( 'Theme Version', 'aircool' ),
				'desc'    => esc_html__( 'Light or dark version', 'aircool' ),
				'help'    => esc_html__( 'Select one of predefined versions', 'aircool' ),
				'choices' => array( // Note: Avoid bool or int keys http://bit.ly/1cQgVzk
					'light' => esc_html__( 'Light', 'aircool' ),
					'dark'  => esc_html__( 'Dark', 'aircool' ),
				),
				// Display choices inline instead of list
				'inline'  => true,
			),
			'body_class' => array(
				'label' => esc_html__('Custom Body Class', 'aircool'),
				'desc'  => esc_html__('Add custom body class for all site', 'aircool'),
				'type'  => 'text',
			),
		),
	),
	'color_scheme_number'     => array(
		'title'   => esc_html__( 'Theme Color Scheme', 'aircool' ),
		'options' => array(
			'color_scheme_number' => array(
				'type'    => 'image-picker',
				'value'   => '',
				'label'   => esc_html__( 'Color scheme', 'aircool' ),
				'desc'    => esc_html__( 'Select one of predefined theme main colors', 'aircool' ),
				'choices' => array(
					'' => get_template_directory_uri() . '/img/theme-options/color_scheme1.png',
					'2' => get_template_directory_uri() . '/img/theme-options/color_scheme2.png',
					'3' => get_template_directory_uri() . '/img/theme-options/color_scheme3.png',
				),
				'blank'   => false, // (optional) if true, image can be deselected
			),

		),
	),
	'blog_posts' => array(
		'title'   => esc_html__( 'Theme Blog', 'aircool' ),
		'options' => array(
			'post_categories'         => array(
				'label'        => esc_html__( 'Post Categories', 'aircool' ),
				'desc'         => esc_html__( 'Show post categories?', 'aircool' ),
				'type'         => 'switch',
				'right-choice' => array(
					'value' => 'yes',
					'label' => esc_html__( 'Yes', 'aircool' )
				),
				'left-choice'  => array(
					'value' => 'no',
					'label' => esc_html__( 'No', 'aircool' )
				),
				'value'        => 'yes',
			),
			'post_tags'         => array(
				'label'        => esc_html__( 'Post Tags', 'aircool' ),
				'desc'         => esc_html__( 'Show post tags?', 'aircool' ),
				'type'         => 'switch',
				'right-choice' => array(
					'value' => 'yes',
					'label' => esc_html__( 'Yes', 'aircool' )
				),
				'left-choice'  => array(
					'value' => 'no',
					'label' => esc_html__( 'No', 'aircool' )
				),
				'value'        => 'yes',
			),
			'blog_slider_switch' => array(
				'type'    => 'multi-picker',
				'label'   => false,
				'desc'    => false,
				'picker'  => array(
					'blog_slider_enabled' => array(
						'type'         => 'switch',
						'value'        => '',
						'label'        => esc_html__( 'Post slider', 'aircool' ),
						'desc'         => esc_html__( 'Enable slider on blog page', 'aircool' ),
						'left-choice'  => array(
							'value' => '',
							'label' => esc_html__( 'No', 'aircool' ),
						),
						'right-choice' => array(
							'value' => 'yes',
							'label' => esc_html__( 'Yes', 'aircool' ),
						),
					),
				),
				'choices' => array(
					'yes' => array(
						'slider_id' => array(
							'type'    => 'select',
							'value'   => '',
							'label'   => esc_html__( 'Select Slider', 'aircool' ),
							'choices' => $choices
						),
					),
				),
			),
		)
	),
	'headers'     => array(
		'title'   => esc_html__( 'Theme Header', 'aircool' ),
		'options' => array(

			'header'       => array(
				'type'    => 'image-picker',
				'value'   => '1',
				'attr'    => array(
					'class'    => 'header-thumbnail',
					'data-foo' => 'header',
				),
				'label'   => esc_html__( 'Template Header', 'aircool' ),
				'desc'    => esc_html__( 'Select one of predefined theme headers', 'aircool' ),
				'help'    => esc_html__( 'You can select one of predefined theme headers', 'aircool' ),
				'choices' => array(
					'1' => get_template_directory_uri() . '/img/theme-options/header1.png',
					'2' => get_template_directory_uri() . '/img/theme-options/header2.png',
					'21' => get_template_directory_uri() . '/img/theme-options/header21.png',
					'22' => get_template_directory_uri() . '/img/theme-options/header22.png',
					'23' => get_template_directory_uri() . '/img/theme-options/header23.png',
					'24' => get_template_directory_uri() . '/img/theme-options/header24.png',
				),
				'blank'   => false, // (optional) if true, image can be deselected
			),
			'header_welcome_text' => array(
				'type'  => 'text',
				'value' => esc_html__( 'Welcome to our website!', 'aircool' ),
				'label' => esc_html__( 'Welcome text', 'aircool' ),
				'desc'  => esc_html__( 'Welcome text to appear in header', 'aircool' ),
				'help'  => esc_html__( 'Not all headers display this info', 'aircool' ),
			),
			'header_link_1' => array(
				'type'  => 'text',
				'value' => wp_kses( '<a href="#">Link 1</a>', aircool_kses_list() ),
				'label' => esc_html__( 'Topline link 1', 'aircool' ),
				'help'  => esc_html__( 'Not all headers display this info', 'aircool' ),
			),
			'header_link_2' => array(
				'type'  => 'text',
				'value' => wp_kses( '<a href="#">Link 2</a>', aircool_kses_list() ),
				'label' => esc_html__( 'Topline link 2', 'aircool' ),
				'help'  => esc_html__( 'Not all headers display this info', 'aircool' ),
			),
			'header_icon_1' => array(
				'type'          => 'popup',
				'label'         => esc_html__( 'Header Icon 1', 'aircool' ),
				'popup-title'   => esc_html__( 'Header Icon 1', 'aircool' ),
				'button'   => esc_html__( 'Edit Icon', 'aircool' ),
				'popup-options' => $header_icon_1,
			),
			'header_icon_2' => array(
				'type'          => 'popup',
				'label'         => esc_html__( 'Header Icon 2', 'aircool' ),
				'popup-title'   => esc_html__( 'Header Icon 2', 'aircool' ),
				'button'   => esc_html__( 'Edit Icon', 'aircool' ),
				'popup-options' => $header_icon_2,
			),
			'header_button' => array(
				'type'          => 'popup',
				'label'         => esc_html__( 'Header Button', 'aircool' ),
				'popup-title'   => esc_html__( 'Edit Button', 'aircool' ),
				'button'   => esc_html__( 'Edit Button', 'aircool' ),
				'popup-options' => $header_button,
			),
			//'social_icons'
			$header_social_icons,
		),
	),
	'breadcrumbs'          => array(
		'title'   => esc_html__( 'Theme Breadcrumbs', 'aircool' ),
		'options' => array(
			'breadcrumbs_image'            => array(
				'label' => esc_html__( 'Breadcrumbs Image', 'aircool' ),
				'desc'  => esc_html__( 'Upload breadcrumbs background image', 'aircool' ),
				'type'  => 'upload'
			)
		)
	),
	'footer'          => array(
		'title'   => esc_html__( 'Theme Footer', 'aircool' ),
		'options' => array(
			'footer'           => array(
				'label'   => esc_html__( 'Footer Columns', 'aircool' ),
				'desc'    => esc_html__( 'Select the number of footer columns', 'aircool' ),
				'type'    => 'short-select',
				'value'   => '1',
				'choices' => array(
					'1' => esc_html__( '3 columns', 'aircool' ),
					'2' => esc_html__( '4 columns', 'aircool' ),
				),
			),
			'footer_color'           => array(
				'label'   => esc_html__( 'Footer Color', 'aircool' ),
				'desc'    => esc_html__( 'Select footer color', 'aircool' ),
				'type'    => 'short-select',
				'value'   => 'ds',
				'choices' => array(
					'ds' => esc_html__( 'Dark', 'aircool' ),
					'ls ms' => esc_html__( 'Light', 'aircool' ),
				),
			),
			'copyrights'      => array(
				'type'    => 'short-select',
				'value'   => '2',
				'label'   => esc_html__( 'Page copyrights', 'aircool' ),
				'desc'    => esc_html__( 'Copyrights color.', 'aircool' ),
				'help'    => esc_html__( 'You can select one of predefined background colors', 'aircool' ),
				'choices' => array(
					'1' => esc_html__( 'Dark muted', 'aircool' ),
					'2' => esc_html__( 'Light', 'aircool' ),
					'3' => esc_html__( 'Color', 'aircool' ),
				),
			),
			'copyrights_text' => array(
				'type'  => 'textarea',
				'value' => '&copy; Copyright 2017 All Rights Reserved',
				'label' => esc_html__( 'Copyrights text', 'aircool' ),
				'desc'  => esc_html__( 'Please type your copyrights text', 'aircool' ),
			),
		),
	),
	'fonts_panel'     => array(
		'title'   => esc_html__( 'Theme Fonts', 'aircool' ),
		'options' => array(
			'body_fonts_section' => array(
				'title'   => esc_html__( 'Font for body', 'aircool' ),
				'options' => array(
					'body_font_picker_switch' => array(
						'type'    => 'multi-picker',
						'label'   => false,
						'desc'    => false,
						'picker'  => array(
							'main_font_enabled' => array(
								'type'         => 'switch',
								'value'        => '',
								'label'        => esc_html__( 'Enable', 'aircool' ),
								'desc'         => esc_html__( 'Enable custom body font', 'aircool' ),
								'left-choice'  => array(
									'value' => '',
									'label' => esc_html__( 'Disabled', 'aircool' ),
								),
								'right-choice' => array(
									'value' => 'main_font_options',
									'label' => esc_html__( 'Enabled', 'aircool' ),
								),
							),
						),
						'choices' => array(
							'main_font_options' => array(
								'main_font' => array(
									'type'       => 'typography-v2',
									'value'      => array(
										'family'         => 'Roboto',
										// For standard fonts, instead of subset and variation you should set 'style' and 'weight'.
										// 'style' => 'italic',
										// 'weight' => 700,
										'subset'         => 'latin-ext',
										'variation'      => 'regular',
										'size'           => 16,
										'line-height'    => 30,
										'letter-spacing' => 0,
										'color'          => '#323232'
									),
									'components' => array(
										'family'         => true,
										// 'style', 'weight', 'subset', 'variation' will appear and disappear along with 'family'
										'size'           => true,
										'line-height'    => true,
										'letter-spacing' => true,
										'color'          => false
									),
									'attr'       => array( 'class' => 'custom-class', 'data-foo' => 'bar' ),
									'label'      => esc_html__( 'Custom font', 'aircool' ),
									'desc'       => esc_html__( 'Select custom font for headings', 'aircool' ),
									'help'       => esc_html__( 'You should enable using custom heading fonts above at first', 'aircool' ),
								),
							),
						),
					),
				),
			),

			'headings_fonts_section' => array(
				'title'   => esc_html__( 'Font for headings', 'aircool' ),
				'options' => array(
					'h_font_picker_switch' => array(
						'type'    => 'multi-picker',
						'label'   => false,
						'desc'    => false,
						'picker'  => array(
							'h_font_enabled' => array(
								'type'         => 'switch',
								'value'        => '',
								'label'        => esc_html__( 'Enable', 'aircool' ),
								'desc'         => esc_html__( 'Enable custom heading font', 'aircool' ),
								'left-choice'  => array(
									'value' => '',
									'label' => esc_html__( 'Disabled', 'aircool' ),
								),
								'right-choice' => array(
									'value' => 'h_font_options',
									'label' => esc_html__( 'Enabled', 'aircool' ),
								),
							),
						),
						'choices' => array(
							'h_font_options' => array(
								'h_font' => array(
									'type'       => 'typography-v2',
									'value'      => array(
										'family'         => 'Roboto',
										// For standard fonts, instead of subset and variation you should set 'style' and 'weight'.
										// 'style' => 'italic',
										// 'weight' => 700,
										'subset'         => 'latin-ext',
										'variation'      => 'regular',
										'size'           => 28,
										'line-height'    => '100%',
										'letter-spacing' => 0,
										'color'          => '#0000ff'
									),
									'components' => array(
										'family'         => true,
										// 'style', 'weight', 'subset', 'variation' will appear and disappear along with 'family'
										'size'           => false,
										'line-height'    => false,
										'letter-spacing' => true,
										'color'          => false
									),
									'attr'       => array( 'class' => 'custom-class', 'data-foo' => 'bar' ),
									'label'      => esc_html__( 'Custom font', 'aircool' ),
									'desc'       => esc_html__( 'Select custom font for headings', 'aircool' ),
									'help'       => esc_html__( 'You should enable using custom heading fonts above at first', 'aircool' ),
								),
							),
						),
					),
				),
			),

		),
	),
	'preloader_panel' => array(
		'title' => esc_html__( 'Theme Preloader', 'aircool' ),

		'options' => array(
			'preloader_enabled' => array(
				'type'         => 'switch',
				'value'        => '1',
				'label'        => esc_html__( 'Enable Preloader', 'aircool' ),
				'left-choice'  => array(
					'value' => '1',
					'label' => esc_html__( 'Enabled', 'aircool' ),
				),
				'right-choice' => array(
					'value' => '0',
					'label' => esc_html__( 'Disabled', 'aircool' ),
				),
			),

			'preloader_image' => array(
				'type'        => 'upload',
				'value'       => '',
				'label'       => esc_html__( 'Custom preloader image', 'aircool' ),
				'help'        => esc_html__( 'GIF image recommended. Recommended maximum preloader width 150px, maximum preloader height 150px.', 'aircool' ),
				'images_only' => true,
			),


		),
	),
	'share_buttons'   => array(
		'title' => esc_html__( 'Theme Share Buttons', 'aircool' ),

		'options' => array(
			'share_facebook'    => array(
				'type'         => 'switch',
				'value'        => '1',
				'label'        => esc_html__( 'Enable Facebook Share Button', 'aircool' ),
				'left-choice'  => array(
					'value' => '1',
					'label' => esc_html__( 'Enabled', 'aircool' ),
				),
				'right-choice' => array(
					'value' => '0',
					'label' => esc_html__( 'Disabled', 'aircool' ),
				),
			),
			'share_twitter'     => array(
				'type'         => 'switch',
				'value'        => '1',
				'label'        => esc_html__( 'Enable Twitter Share Button', 'aircool' ),
				'left-choice'  => array(
					'value' => '1',
					'label' => esc_html__( 'Enabled', 'aircool' ),
				),
				'right-choice' => array(
					'value' => '0',
					'label' => esc_html__( 'Disabled', 'aircool' ),
				),
			),
			'share_google_plus' => array(
				'type'         => 'switch',
				'value'        => '1',
				'label'        => esc_html__( 'Enable Google+ Share Button', 'aircool' ),
				'left-choice'  => array(
					'value' => '1',
					'label' => esc_html__( 'Enabled', 'aircool' ),
				),
				'right-choice' => array(
					'value' => '0',
					'label' => esc_html__( 'Disabled', 'aircool' ),
				),
			),
			'share_pinterest'   => array(
				'type'         => 'switch',
				'value'        => '1',
				'label'        => esc_html__( 'Enable Pinterest Share Button', 'aircool' ),
				'left-choice'  => array(
					'value' => '1',
					'label' => esc_html__( 'Enabled', 'aircool' ),
				),
				'right-choice' => array(
					'value' => '0',
					'label' => esc_html__( 'Disabled', 'aircool' ),
				),
			),
			'share_linkedin'    => array(
				'type'         => 'switch',
				'value'        => '1',
				'label'        => esc_html__( 'Enable LinkedIn Share Button', 'aircool' ),
				'left-choice'  => array(
					'value' => '1',
					'label' => esc_html__( 'Enabled', 'aircool' ),
				),
				'right-choice' => array(
					'value' => '0',
					'label' => esc_html__( 'Disabled', 'aircool' ),
				),
			),
			'share_tumblr'      => array(
				'type'         => 'switch',
				'value'        => '1',
				'label'        => esc_html__( 'Enable Tumblr Share Button', 'aircool' ),
				'left-choice'  => array(
					'value' => '1',
					'label' => esc_html__( 'Enabled', 'aircool' ),
				),
				'right-choice' => array(
					'value' => '0',
					'label' => esc_html__( 'Disabled', 'aircool' ),
				),
			),
			'share_reddit'      => array(
				'type'         => 'switch',
				'value'        => '1',
				'label'        => esc_html__( 'Enable Reddit Share Button', 'aircool' ),
				'left-choice'  => array(
					'value' => '1',
					'label' => esc_html__( 'Enabled', 'aircool' ),
				),
				'right-choice' => array(
					'value' => '0',
					'label' => esc_html__( 'Disabled', 'aircool' ),
				),
			),

		),
	),

);