<?php if ( ! defined( 'FW' ) ) {
	die( 'Forbidden' );
}

$options = array(
	'box_id' => array(
		'type'    => 'box',
		'title'   => esc_html__( 'Options for child categories', 'aircool' ),
		'options' => array(
			'layout'        => array(
				'label'   => esc_html__( 'Portfolio Layout', 'aircool' ),
				'desc'    => esc_html__( 'Choose projects layout', 'aircool' ),
				'value'   => 'isotope',
				'type'    => 'select',
				'choices' => array(
					'carousel' => esc_html__( 'Carousel', 'aircool' ),
					'isotope'  => esc_html__( 'Masonry Grid', 'aircool' ),
				)
			),
			'item_layout'   => array(
				'label'   => esc_html__( 'Item layout', 'aircool' ),
				'desc'    => esc_html__( 'Choose Item layout', 'aircool' ),
				'value'   => 'item-regular',
				'type'    => 'select',
				'choices' => array(
					'item-regular'  => esc_html__( 'Regular (just image)', 'aircool' ),
					'item-title'    => esc_html__( 'Image with title', 'aircool' ),
					'item-extended' => esc_html__( 'Image with title and excerpt', 'aircool' ),
				)
			),
			'full_width'    => array(
				'type'         => 'switch',
				'value'        => false,
				'label'        => esc_html__( 'Full width gallery', 'aircool' ),
				'desc'         => esc_html__( 'Enable full width container for gallery', 'aircool' ),
				'left-choice'  => array(
					'value' => false,
					'label' => esc_html__( 'No', 'aircool' ),
				),
				'right-choice' => array(
					'value' => true,
					'label' => esc_html__( 'Yes', 'aircool' ),
				),
			),
			'margin'        => array(
				'label'   => esc_html__( 'Horizontal item margin (px)', 'aircool' ),
				'desc'    => esc_html__( 'Select horizontal item margin', 'aircool' ),
				'value'   => '30',
				'type'    => 'select',
				'choices' => array(
					'0'  => esc_html__( '0', 'aircool' ),
					'1'  => esc_html__( '1px', 'aircool' ),
					'2'  => esc_html__( '2px', 'aircool' ),
					'10' => esc_html__( '10px', 'aircool' ),
					'30' => esc_html__( '30px', 'aircool' ),
				)
			),
			'responsive_lg' => array(
				'label'   => esc_html__( 'Columns on large screens', 'aircool' ),
				'desc'    => esc_html__( 'Select items number on wide screens (>1200px)', 'aircool' ),
				'value'   => '4',
				'type'    => 'select',
				'choices' => array(
					'1' => esc_html__( '1', 'aircool' ),
					'2' => esc_html__( '2', 'aircool' ),
					'3' => esc_html__( '3', 'aircool' ),
					'4' => esc_html__( '4', 'aircool' ),
					'6' => esc_html__( '6', 'aircool' ),
				)
			),
			'responsive_md' => array(
				'label'   => esc_html__( 'Columns on middle screens', 'aircool' ),
				'desc'    => esc_html__( 'Select items number on middle screens (>992px)', 'aircool' ),
				'value'   => '3',
				'type'    => 'select',
				'choices' => array(
					'1' => esc_html__( '1', 'aircool' ),
					'2' => esc_html__( '2', 'aircool' ),
					'3' => esc_html__( '3', 'aircool' ),
					'4' => esc_html__( '4', 'aircool' ),
					'6' => esc_html__( '6', 'aircool' ),
				)
			),
			'responsive_sm' => array(
				'label'   => esc_html__( 'Columns on small screens', 'aircool' ),
				'desc'    => esc_html__( 'Select items number on small screens (>768px)', 'aircool' ),
				'value'   => '2',
				'type'    => 'select',
				'choices' => array(
					'1' => esc_html__( '1', 'aircool' ),
					'2' => esc_html__( '2', 'aircool' ),
					'3' => esc_html__( '3', 'aircool' ),
					'4' => esc_html__( '4', 'aircool' ),
					'6' => esc_html__( '6', 'aircool' ),
				)
			),
			'responsive_xs' => array(
				'label'   => esc_html__( 'Columns on extra small screens', 'aircool' ),
				'desc'    => esc_html__( 'Select items number on extra small screens (<767px)', 'aircool' ),
				'value'   => '1',
				'type'    => 'select',
				'choices' => array(
					'1' => esc_html__( '1', 'aircool' ),
					'2' => esc_html__( '2', 'aircool' ),
					'3' => esc_html__( '3', 'aircool' ),
					'4' => esc_html__( '4', 'aircool' ),
					'6' => esc_html__( '6', 'aircool' ),
				)
			),
			'show_filters'  => array(
				'type'         => 'switch',
				'value'        => false,
				'label'        => esc_html__( 'Show filters', 'aircool' ),
				'desc'         => esc_html__( 'Hide or show categories filters', 'aircool' ),
				'left-choice'  => array(
					'value' => false,
					'label' => esc_html__( 'No', 'aircool' ),
				),
				'right-choice' => array(
					'value' => true,
					'label' => esc_html__( 'Yes', 'aircool' ),
				),
			),
			'filter_text' => array(
				'type'  => 'text',
				'value' => esc_html__( 'Projects', 'aircool' ),
				'label' => esc_html__( 'Filters text', 'aircool' ),
				'desc'  => esc_html__( 'Background text for portfolio filters (if filters enable)', 'aircool' ),
			),
		)
	)
);