<?php
/**
 * The template part for selected header
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

$social_icons = function_exists( 'fw_get_db_customizer_option' ) ? fw_get_db_customizer_option( 'social_icons' ) : '';

$header_welcome_text = function_exists( 'fw_get_db_customizer_option' ) ? fw_get_db_customizer_option( 'header_welcome_text' ) : '';
$header_link_1       = function_exists( 'fw_get_db_customizer_option' ) ? fw_get_db_customizer_option( 'header_link_1' ) : '';
$header_link_2       = function_exists( 'fw_get_db_customizer_option' ) ? fw_get_db_customizer_option( 'header_link_2' ) : '';

$header_icon_1 = function_exists( 'fw_get_db_customizer_option' ) ? fw_get_db_customizer_option( 'header_icon_1' ) : '';
$header_icon_2 = function_exists( 'fw_get_db_customizer_option' ) ? fw_get_db_customizer_option( 'header_icon_2' ) : '';

$header_button = function_exists( 'fw_get_db_customizer_option' ) ? fw_get_db_customizer_option( 'header_button' ) : '';

//light or dark version
$version            = function_exists( 'fw_get_db_customizer_option' ) ? fw_get_db_customizer_option( 'version' ) : 'light';
$main_section_class = ( $version !== 'light' ) ? 'ds' : 'ls';

//get template style from ULR - for demo
if ( isset( $_GET['version'] ) ) {
	$main_section_class = esc_attr( $_GET['version'] );
}
if ( is_front_page() ) {
if ( ( ! empty( $header_welcome_text ) ) || ( ! empty( $header_link_1 ) ) || ( ! empty( $header_link_2 ) ) ) { ?>
	<section class="page_topline ds section_padding_top_5 section_padding_bottom_5 table_section">
		<div class="container">
			<div class="row">
				<div class="col-sm-8 text-center text-sm-left">
					<p class="divided-content darklinks">
						<?php if ( $header_welcome_text ) : ?>
							<span class="black">
							<?php echo esc_html( $header_welcome_text ); ?>
						</span>
						<?php endif; //header_welcome_text ?>
						<?php if ( $header_link_1 ) : ?>
							<?php echo wp_kses_post( $header_link_1 ); ?>
						<?php endif; //header_link_1 ?>
						<?php if ( $header_link_2 ) : ?>
							<?php echo wp_kses_post( $header_link_2 ); ?>
						<?php endif; //header_link_2 ?>
				</div>
				<div class="col-sm-4 text-center text-sm-right">
					<div class="page_social_icons">
						
						<?php
						//get icons-social shortcode to render icons in team member item
						$shortcodes_extension = fw()->extensions->get( 'shortcodes' );
						if ( ! empty( $shortcodes_extension ) ) {
							echo fw_ext( 'shortcodes' )->get_shortcode( 'icons_social' )->render( array( 'social_icons' => $social_icons ) );
						}
						?>
						&nbsp;<a href="mailto:ac@airtechacservice.com">ac@airtechacservice.com</a>
					</div><!-- eof social icons -->
				</div>

			</div>
		</div>
	</section><!-- .page_topline -->
<?php } } ?><!-- eof is_front_page() -->
<section
	class="page_toplogo table_section  section_padding_top_30 section_padding_bottom_30 table_section_md <?php echo esc_html( $main_section_class ); ?>">
	<div class="container">
		<div class="row">
			<div class="col-sm-4 text-center text-md-left">
				<?php get_template_part( 'template-parts/header/header-logo' ); ?>
			</div>
			<div class="col-md-8 text-center text-md-right">
				<div class="inline-teasers-wrap">
					<?php $shortcodes_extension = defined( 'FW' ) ? fw()->extensions->get( 'shortcodes' ): ''; ?>
					<?php if ( ( ! empty( $header_icon_1 ) ) ) : ?>
						<?php
						//get icon shortcode to render icon 1
						if ( ! empty( $shortcodes_extension ) ) {
							echo fw_ext( 'shortcodes' )->get_shortcode( 'icon' )->render( $header_icon_1 );
						}
						?>
					<?php endif; ?>

					<?php if ( ( ! empty( $header_icon_2 ) ) ) : ?>
						<?php
						//get icon shortcode to render icon 2
						if ( ! empty( $shortcodes_extension ) ) {
							echo fw_ext( 'shortcodes' )->get_shortcode( 'icon' )->render( $header_icon_2 );
						}
						?>
					<?php endif; ?>

				</div>
			</div>
		</div>
	</div><!-- eof .col- -->
</section>
<header class="page_header header-1 <?php echo esc_html( $main_section_class ); ?> toggler_left affix-top with_top_border">
	<div class="container">
		<div class="row margin_0">
			<div class="col-sm-12 display_table">
				<div class="header_mainmenu display_table_cell">
					<nav class="mainmenu_wrapper primary-navigation">
						<?php wp_nav_menu( array(
							'theme_location' => 'primary',
							'menu_class'     => 'sf-menu nav-menu nav',
							'container'      => 'ul',
						) ); ?>
					</nav>
					<!-- header toggler -->
					<span class="toggle_menu"><span></span></span>
				</div>
				<?php if ( ( ! empty( $header_button ) ) ) : ?>
				<div class="header_button display_table_cell text-right hidden-xs">
					<?php
					if ( ! empty( $shortcodes_extension ) ) {
						echo fw_ext( 'shortcodes' )->get_shortcode( 'button' )->render( $header_button );
					}
					?>
				</div><!-- eof .header_button -->
				<?php endif; ?>
			</div><!--	eof .col-sm-* -->
		</div><!--	eof .row-->
	</div> <!--	eof .container-->
</header><!-- eof .page_header -->